Skip to main content
`Ctrl`+`K`

# SNESFASGetRestriction

Gets the matrix used to calculate the restriction from l to the l-1th level

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetRestriction(SNES snes, PetscInt level, Mat *mat)

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- level - the level (0 is coarsest) to supply [do not supply 0]

## Output Parameter

- mat - the interpolation operator

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetRestriction()`, `SNESFASGetInjection()`, `SNESFASGetInterpolation()`, `SNESFASGetRScale()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages